Bug 683200 - RFE: Non latin domain names
RFE: Non latin domain names
Status: CLOSED ERRATA
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.4
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Red Hat Satellite QA List
:
Depends On:
Blocks: space15 701985
  Show dependency treegraph
 
Reported: 2011-03-08 14:59 EST by Miroslav Suchý
Modified: 2011-06-16 22:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 701985 (view as bug list)
Environment:
Last Closed: 2011-06-16 22:50:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2011-03-08 14:59:58 EST
http://www.icann.org/en/announcements/announcement-30oct09-en.htm

From article: "The coming introduction of non-Latin characters represents the biggest technical change to the Internet since it was created four decades ago," said ICANN chairman Peter Dengate Thrush. "Right now Internet address endings are limited to Latin characters – A to Z. But the Fast Track Process is the first step in bringing the 100,000 characters of the languages of the world online for domain names." 

More info at:
https://fedorahosted.org/spacewalk/wiki/Features/NonLatinCharacters

Requirements

Client tools need to make sure that all host names are in Pune encoding before sending to rhnParent. Client tools should accept non latin domains as entry (eg. serverURL) and encode it to Pune, before connect() or before it is send to rhnParent.

We will store host names in DB in Pune encoding.

We will have to go through WebUI and anytime we present hostname (SDC, device info, monitoring...) we will decode Pune string to UTF-8.

We will modify JavaDoc for API calls and whenever hostname is used, we will note that we accept/return hostname in Pune encoding.
Comment 2 Miroslav Suchý 2011-03-30 08:45:48 EDT
Commited to spacewalk git.
Commits from 695e8f7a792996b7e51f9fd2b11789d26e625753 to 382a5dbbcbe78cc334d3b2d167e86e1cb292e45d (aprox. 30 commits)
and 4342cb5b600dd2ce9785fd471769ca357601c7fc

This commit may be relevant as well:
cfebfa679c3919e1d98db11d3272bf338d0cd3e5

to be continue...
Comment 3 Miroslav Suchý 2011-05-04 09:04:54 EDT
changes in webui has been done in spacewalk.git in commits:
d3bf18726d0117f44214b2914a3e71693edac0c3 
4b4b1650ef4cd40b491764a949dee44506bcaf04 
0d6d46f29e666cff294689b471a6a363f83c9077
f7eefed0ea337a932bc9d8ce88950026b4a2962e
d6902867cad5a94f5c91884237d0387812b42f4c
e0d234c0dea61fda4f7c992d03705dbf48a76bbc
3e738c0ce75fe4e4e21cf8959d775cfef4648603
Comment 4 Clifford Perry 2011-06-16 22:50:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

https://rhn.redhat.com/errata/RHEA-2011-0875.html

Note You need to log in before you can comment on or make changes to this bug.